Bug 11174 - Wrong parameter 'valuec' in opac-authoritiessearchresultlist
Wrong parameter 'valuec' in opac-authoritiessearchresultlist
Status: RESOLVED FIXED
Product: Koha
Classification: Unclassified
Component: OPAC
master
All All
: P5 - low trivial (vote)
Assigned To: Zeno Tajoli
Testopia
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 18:11 UTC by Zeno Tajoli
Modified: 2014-05-26 21:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:


Attachments
Changes for opac-authoritiessearchresultlist templates (2.74 KB, patch)
2013-10-30 18:52 UTC, Zeno Tajoli
Details | Diff | Splinter Review
BUG 11174 wrong parameter 'valuec' (2.82 KB, patch)
2013-11-25 14:37 UTC, M. de Rooy
Details | Diff | Splinter Review
BUG 11174 wrong paramter 'valuec' (3.02 KB, patch)
2013-12-13 11:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2013-10-30 18:11:38 UTC
In the template opac-authoritiessearchresultlist are dinamic written
link with 5xx heading.

But in the link is used a wrong 'valuec' parameter instead of 'value'.

It is present in prog and in / bootstrap template opac-authoritiessearchresultlist.tt

In prog it is at line 62
In bootstrap it is at line 88
Comment 1 Zeno Tajoli 2013-10-30 18:52:44 UTC
Created attachment 22613 [details] [review]
Changes for opac-authoritiessearchresultlist templates

Patch for prog and bootstrap
Comment 2 Zeno Tajoli 2013-10-30 19:13:18 UTC
Test plan:

1)Insert an authority record with a 5xx field  (on MARC21 or UNIMARC)
2)Index the record
3)Seek the record
4)Clik one of the link build from the 5xx field, the link doesn't work
5)Apply the patch
6)Close the browser
7)Open the opac and select the english interface
8)Redo the search 
9)Now the link works
10)To use the patch in others languages you need to regenerate the templates.


After test the 'prog' templates you need to test it with to 'bootstrap' templates but it is not clear for me how to do, ask on koha-dev mailing list.
Comment 3 M. de Rooy 2013-11-25 14:37:28 UTC
Created attachment 23136 [details] [review]
BUG 11174 wrong parameter 'valuec'

In the templates opac-authoritiessearchresultlist of prog and
bootstrap the wrong value 'valuec' is changed with 'value'

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested with bootstrap.
Comment 4 Jonathan Druart 2013-12-13 11:38:05 UTC
Created attachment 23510 [details] [review]
BUG 11174 wrong paramter 'valuec'

In the templates opac-authoritiessearchresultlist of prog and
bootstrap the wrong value 'valuec' is changed with 'value'

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested with bootstrap.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Following commit remove the use to valuec:
 commit 31f41e2c1db9d8dca82e0249050acb8f906c8164
    Bug 8206: Specify index in OPAC authority search
Comment 5 Galen Charlton 2013-12-13 15:37:18 UTC
Pushed to master.  Thanks, Zeno!
Comment 6 Fridolin SOMERS 2013-12-24 11:57:24 UTC
Patch pushed to 3.14.x, will be in 3.14.2
Comment 7 Tomás Cohen Arazi 2014-01-15 17:15:55 UTC
This patch has been pushed to 3.12.x, will be in 3.12.9.

Thanks Zeno!